Read provider-neutral request trace

Read provider-neutral request trace

GET
/api/v1/data/requests/{id}/events

Read provider-neutral request trace

Authorization

headerX-API-Key<token>

Path Parameters

id*string
Formatuuid

Response Body

Append-only provider-neutral events in ascending creation order. Error body uses the documented PublicError DTO.

application/json
  1. response
data*array<>
curl -X GET 'https://api.runharvester.com/api/v1/data/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/events' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}